<template>
  <cr-popup
    v-model="showAuthXyqb"
    get-container="body"
    round
    closeable
    position="bottom"
    class="auth"
  >
    111
  </cr-popup>
</template>

<script>
import { mapState, mapActions } from "vuex";
import localStorage from "@/service/localStorage";
import { authByxyqb } from "@/api/user";
export default {
  name: "AuthFromXyqb",
  data() {
    return {};
  },
  computed: {
    ...mapState(["showAuthXyqb"])
  },
  methods: {
    ...mapActions(["setShowAuthXyqb"]),
    async getAuthInfo() {
      const res = await authByxyqb();
      if (res) {
        localStorage.set("mongoToken", res.token);
        localStorage.set("xyqbUserInfo", res);
      }
    }
  }
};
</script>

<style lang="less" scoped>
@import "../style/var.less";
</style>
